<link rel="import" href="../../bower_components/polymer/polymer-element.html">
<link rel="import" href="../../bower_components/iron-icon/iron-icon.html">
<link rel="import" href="../../bower_components/iron-icons/iron-icons.html">
<link rel="import" href="../../bower_components/iron-collapse/iron-collapse.html">
<link rel="import" href="../../bower_components/iron-form/iron-form.html">
<link rel="import" href="../../bower_components/paper-button/paper-button.html">


<dom-module id="mi-app-datos">
  <template>
    <style>
      fieldset{
        margin-left: 120px;
      }
      fieldset.encabezados{
        color: black;
        font-weight: bold;
        font-size: 12px;
        background-color: #DCDCDC;
        border:1px solid #DCDCDC;
        border-radius: 5px 5px 0px 0px;
      }
      fieldset.contenido-fieldset{
        border:1px solid #DCDCDC;
      }
      iron-icon{
        float: right;
      }
      table.dates{
        float: right;
        font-size: 12px;
        width: 85%;
      }
      label{
        margin-left: 5px;
      }
      input.input-info{
        border-radius: 3px;
        border:1px solid #DCDCDC;
        width: 98%;
        height: 20px;
        outline-color: #fc4484;
      }
      input.input-little{
        border-radius: 3px;
        border:1px solid #DCDCDC;
        outline-color: #fc4484;
        width: 40%;
        height: 20px;
      }
      select{
        color: black;
        border-radius: 3px;
        border:1px solid #DCDCDC;
        outline-color: #fc4484;
        width: 50%;
        height: 25px;
      }
      select.selected-two{
        color: black;
        border-radius: 3px;
        border:1px solid #DCDCDC;
        width: 98%;
        height: 25px;
      }
      paper-button{
        background-color: var(--accent-color);
        font-weight: bold;
        margin-top: 20px;
        float: right;
        color: white;
      }
    </style>

   <form is="iron-form">
      <fieldset class="encabezados">DATOS PERSONALES<iron-icon icon="arrow-drop-down" class="icon-form" on-click="toggle" my-attribute="collapse6"></iron-icon></fieldset>
      <iron-collapse class="collapse" id="collapse6">
              <fieldset class="contenido-fieldset">
               <table class="dates">
                  <tr>
                    <td colspan="2" class="info-div-one">
                      <label>Nombre completo*</label><br>
                      <input type="text" class="input-info" required="required" value=" ">
                    </td>
                    <td colspan="2" class="info-div-two">
                      <label>Apellidos*</label><br>
                      <input type="text" name="apellido" class="input-info" required="required">
                    </td>
                  </tr>

                  <tr>
                    <td colspan="2">
                      <label>DNI</label><br>
                      <input type="text" name="dni" class="input-info">
                    </td>
                    <td>
                      <label>Telefono movil/celular</label><br>
                      <select name="telefono">
                        <option>Mexico +52</option>
                        <option>Mexico +52</option>
                        <option>Mexico +52</option>
                        <option selected="Mexico +52"></option>
                      </select>
                      <input type="text" name="cel" class="input-little" placeholder="Ej. 5511111111">
                    </td>
                    <td>
                      <label>Fecha de nacimiento</label><br>
                      <input type="date" name="fecha" class="input-info">
                    </td>
                  </tr>
                </table>
              </fieldset>
            </iron-collapse>
          </form><br>
  <form is="iron-form" class="form-dates">
            <fieldset class="encabezados">DOMICILIO HABITUAL <iron-icon icon="arrow-drop-down" class="icon-form" on-click="toggle" my-attribute="collapse7"></iron-icon></fieldset>
            <iron-collapse class="collapse" id="collapse7">
              <fieldset class="contenido-fieldset">
                <table class="dates">
                  <tr>
                    <td colspan="2" class="info-div-one">
                      <label>Direccion*</label><br>
                      <input type="text" name="address" class="input-info" placeholder="Introduce una ubicacion" required="required">
                    </td>
                    <td colspan="2" class="info-div-two">
                      <label>Codigo postal</label><br>
                      <input type="text" name="cp" class="input-info">
                    </td>
                  </tr>

                  <tr>
                    <td colspan="2">
                      <label>Ciudad</label><br>
                      <input type="text" name="city" class="input-info">
                    </td>
                    <td>
                      <label>Provincia</label><br>
                      <input type="text" name="province" class="input-info">
                    </td>
                    <td>
                      <label>Pais</label><br>
                      <select name="country" class="selected-two">
                        <option>Alemania</option>
                        <option>Canada</option>
                        <option>Mexico</option>
                        <option selected="Mexico"></option>
                      </select>
                    </td>
                  </tr>
                  <tr>
                    <td colspan="2">
                      <label>Exento de IVA</label><br>
                      <input type="checkbox" name="iva"><label class="little-label">Si.  Solo residentes de Canada, Ceuta o Mellila</label>
                    </td>
                    <td>
                      <label>Zona horaria*</label><br>
                      <select name="country" class="selected-two">
                        <option>Europa/Prague</option>
                        <option>Canada</option>
                        <option>Mexico</option>
                        <option selected="Mexico"></option>
                    </td>
                  </tr>
                </table>
              </fieldset>
            </iron-collapse>
          </form><br>
  <form is="iron-form" class="form-dates">
            <fieldset class="encabezados">DATOS PROFESIONALES <iron-icon icon="arrow-drop-down" class="icon-form" on-click="toggle" my-attribute="collapse8"></iron-icon></fieldset>
            <iron-collapse class="collapse" id="collapse8">
              <fieldset class="contenido-fieldset">
                <table class="dates">
                  <tr>
                    <td>
                      <label>¿Que estudios tienes?</label><br>
                      <select name="country" class="selected-two">
                        <option>Universitarios</option>
                        <option>Estudios Tecnicos (No Universitarios)</option>
                        <option>Bachillerato</option>
                        <option>Educacion Secundaria</option>
                        <option>Educacion Primaria</option>
                        <option selected="-------"></option>
                      </select>
                    </td>
                    <td>
                      <label>Compañia/Empresa</label><br>
                      <input type="text" name="compani" class="input-info">
                    </td>
                  </tr>
                </table>
              </fieldset>
            </iron-collapse>

            <paper-button raised on-tap="addSnippet">GUARDAR CAMBIOS</paper-button><br><br>
          </form>

  </template>
  

  <script>
    class MiAppDatos extends Polymer.Element {
      static get is() { return 'mi-app-datos'; }
      static get properties() {
        return {
          collection: {
              type: Array,
              notify: true
            },
            pressed: {
            type: Boolean,
            notify: true,
            reflectToAttribute: true,
            value: false
          },
          value: {type: String},
          user: {
          type: Object,
          value: function() {
            return {};
          }
        }
        };
      }
          addSnippet(names){
             console.log(this.names)     
          }
          toggle(e) {
             var id = e.target.getAttribute('my-attribute');
             console.log(id);
             this.shadowRoot.querySelector('#'+id).toggle();
          }
    }
    

    window.customElements.define(MiAppDatos.is, MiAppDatos);
  </script>
</dom-module>